Subject: linux-next: build failure after merge of the pci tree

From: Stephen Rothwell <[email-masked]>
Date: Wed, 11 Jun 2014 12:02:49 +1000

Hi Bjorn,

After merging the pci tree, today's linux-next build (powerpc
ppc64_defconfig) failed like this:

ERROR: ".pci_try_set_mwi" [drivers/scsi/qla2xxx/qla2xxx.ko] undefined!
ERROR: ".pci_clear_mwi" [drivers/scsi/qla2xxx/qla2xxx.ko] undefined!
ERROR: ".pci_try_set_mwi" [drivers/scsi/lpfc/lpfc.ko] undefined!

Caused by commit 9259d755975f ("PCI: Move EXPORT_SYMBOL so it
immediately follows function/variable").
arch/powerpc/include/asm/pci.h defines PCI_DISABLE_MWI and there are
two version of those functions depending on the setting of that symbol.

I have used the pci tree from next-20140610 for today.
-- 
Cheers,
Stephen Rothwell                    [email-masked]